Name:           liquidshell
Version:        1.8.1
%define subrel 1
Release:        %mkrel 1
Summary:        Alternative desktop replacement for Plasma, Qt and KF5 based
License:        GPL-3.0
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/system/liquidshell
Source:         https://download.kde.org/stable/liquidshell/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(packagekitqt5)
BuildRequires:  pkgconfig(bluez)

BuildRequires:  cmake(KF5BluezQt)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(KF5Solid)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5ThemeSupport)

Requires:       kmenuedit
Requires:       kscreen
Requires:       plasma-applet-nm
Requires:       plasma-workspace
Recommends:     ksysguard
Recommends:     kwin
Recommends:     bluedevil

%description
liquidshell is a basic Desktop Shell implemented using QtWidgets.
Alternative desktop replacement for Plasma, Qt and KF5 based.
It using QtWidgets instead of QtQuick to ensure hardware
acceleration is not required.

%prep
%autosetup -p1

%build
# NOTE set explicitly 'XDG_APPS_INSTALL_DIR' to fix path (mga#32421)
%cmake_kf5 -DXDG_APPS_INSTALL_DIR=share/applications
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README
%license COPYING
%{_kf5_bindir}/liquidshell
%{_kf5_bindir}/start_liquidshell
%{_kf5_applicationsdir}/org.kde.liquidshell.desktop
%{_kf5_iconsdir}/hicolor/*/apps/liquidshell.png
%{_kf5_knotificationsdir}/liquidshell.notifyrc
%{_kf5_datadir}/xsessions/%{name}-session.desktop
%{_kf5_metainfodir}/org.kde.liquidshell.appdata.xml


%changelog
* Sun Oct 22 2023 daviddavid <daviddavid> 1.8.1-1.1.mga9
+ Revision: 2000068
- set explicitly 'XDG_APPS_INSTALL_DIR' to fix path (mga#32421)

* Mon May 15 2023 daviddavid <daviddavid> 1.8.1-1.mga9
+ Revision: 1956983
- initial package liquidshell (mga#22073)

